Debian Bug report logs - #609314
Grub installs to wrong disk

version graph

Package: grub-installer; Maintainer for grub-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for grub-installer is src:grub-installer.

Reported by: Volker Theile <votdev@gmx.de>

Date: Sat, 8 Jan 2011 13:30:01 UTC

Severity: serious

Tags: d-i, sid, squeeze

Merged with 568529, 579519, 589823, 603942, 604992, 605562

Found in versions grub-installer/0.50, grub-installer/1.49, grub-installer/1.56, grub-installer/1.57, grub-installer/1.58

Fixed in version grub-installer/1.59

Done: Otavio Salvador <otavio@ossystems.com.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609314; Package grub-installer. (Sat, 08 Jan 2011 13:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Volker Theile <votdev@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sat, 08 Jan 2011 13:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Volker Theile <votdev@gmx.de>
To: submit@bugs.debian.org
Subject: Grub installs to wrong disk
Date: Sat, 08 Jan 2011 14:26:39 +0100
[Message part 1 (text/plain, inline)]
Package: grub-installer
Version: 1.58

Using the latest Squeeze netinst ISO to install the system the 
installation fails while trying to install GRUB. In my virtual machine i 
have multiple harddisks. When i am using /dev/sdd for the operation 
system GRUB always wants to install to /dev/sda. GRUB has been told to 
install to MBR. I have attached the debug logs of the debian installer.

Taken from syslog:

...
Jan  8 12:49:48 kernel: [  132.235370] Adding 392184k swap on 
/dev/sdd5.  Priority:-1 extents:1 across:392184k
Jan  8 12:49:48 partman: mke2fs 1.41.12 (17-May-2010)
Jan  8 12:49:50 kernel: [  134.514713] kjournald starting.  Commit 
interval 5 seconds
Jan  8 12:49:50 kernel: [  134.514820] EXT3 FS on sdd1, internal journal
Jan  8 12:49:50 kernel: [  134.514827] EXT3-fs: mounted filesystem with 
ordered data mode.
...
grub-installer: error: Running 'grub-install  --no-floppy --force 
"/dev/sda"' failed.
...

Regards
Volker
[hardware-summary (text/plain, attachment)]
[install-report.template (text/plain, attachment)]
[lsb-release (text/plain, attachment)]
[partman (text/plain, attachment)]
[status (text/plain, attachment)]
[syslog (text/plain, attachment)]

Forcibly Merged 568529 579519 589823 603942 604992 605562 609314 609722. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 15 Jan 2011 13:27:13 GMT) Full text and rfc822 format available.

Disconnected #609722 from all other report(s). Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 23 Jan 2011 19:45:09 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Aug 2011 07:36:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:13:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.